# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get a list of your clients You can view and filter your clients by calling `GET /clients`. In a response to this request, you can see: - id - the client ID. - partyId - the ID of the party assigned as client, controller, beneficial_owner, director, primary_contact. - products - the products used by this client. For Embedded Payments clients, this is always EMBEDDED PAYMENTS. - outstanding - any outstanding onboarding requirements. - status - the live status of the client. These values represent the stages of the client's onboarding journey. Can be one of: - NEW - Onboarding verifications haven't started yet since there isn't enough information available yet. - REVIEW_IN_PROGRESS - Onboarding verifications have started and are in progress. During review, you may need to collect additional documents or information - which is shown in the outstanding object in the GET od/v1/clients/{ID} request. - INFORMATION_REQUESTED - Your client or it's related parties must provide additional information or documents to proceed with verification. Once requested information is provided, status becomes REVIEW_IN_PROGRESS. - APPROVED - Your client and all associated parties have been through due diligence and onboarding successfully and successfully onboarded. - DECLINED - Your client cannot be onboarded based on their response to our due diligence processes. - SUSPENDED - Either: - During onboarding, your client hasn't provided requested information or documents within the defined period. - After onboarding, you placed a request to temporarily make the Client's account inactive. - TERMINATED - You have placed a request to permanently terminate your client's Embedded Payments accounts. Sample request: ```curl curl -X 'GET' \ 'https://apigateway.jpmorgan.com/tsapi/ef/v1/ef/do/v1/clients?limit=25&page=0' \ -H 'accept: application/json' ``` Sample response: ```json { "metadata": { "page": 0, "limit": 25, "total": 4 }, "clients": [ { "id": "1000010400", "partyId": "2000000111", "products": [ "EMBEDDED_PAYMENTS" ], "outstanding": { "attestationDocumentIds": [], "documentRequestIds": [], "partyIds": [], "partyRoles": [], "questionIds": [] }, "status": "APPROVED" }, { "id": "1000010401", "partyId": "2000000222", "products": [ "EMBEDDED_PAYMENTS" ], "outstanding": { "attestationDocumentIds": [ "851e9279-f619-4069-893b-d6902db9c68b" ], "documentRequestIds": [], "partyIds": [], "partyRoles": [], "questionIds": [ "300001", "300002", "300003" ] }, "status": "NEW" }, { "id": "1000010402", "partyId": "2000000222", "products": [ "EMBEDDED_PAYMENTS" ], "outstanding": { "attestationDocumentIds": [], "documentRequestIds": [], "partyIds": [], "partyRoles": [], "questionIds": [] }, "status": "REVIEW_IN_PROGRESS" }, { "id": "1000010403", "partyId": "2000000222", "products": [ "EMBEDDED_PAYMENTS" ], "outstanding": { "attestationDocumentIds": [], "documentRequestIds": [ "50006" ], "partyIds": [], "partyRoles": [], "questionIds": [] }, "status": "INFORMATION_REQUESTED" } ] } ```